using System;
using BeWo.BeWoDirekt;
using BeWo.Report;
using BeWo.Report.ReportObjects;
using BS.Shared.Core;


namespace BeWo.BeWoDirekt
{
	[IDSpecificClass(Identifier = "Mitarbeiterstundenkonto")]
	public partial class Mitarbeiterstundenkonto : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<MitarbeiterstundenkontoRO>
	{
		

		public Mitarbeiterstundenkonto()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(MitarbeiterstundenkontoRO pRO)
		{
			cellUrlaubsTageHeader.Text = String.Format("Urlaubstage Gesamt {0:yyyy}", pRO.ReportStartDate);
			

			MitarbeiterstundenkontoBerechnung msb = new BeWoDirektMitarbeiterstundenkontoBerechnung();
			msb.CreateReport(pRO);

			this.bindingSource1.DataSource = pRO;
		}

	}
}
